{ pkgs, buildGoModule, lib }: buildGoModule rec {
    src = ./.;

    name = "clip-maker";
    vendorSha256 = null;

    ldflags = [
        "-s"
        "-w"
    ];

    nativeBuildInputs = with pkgs; [
        makeWrapper
    ];

    postInstall = ''
        wrapProgram $out/bin/clip-maker --prefix PATH : ${lib.makeBinPath [ pkgs.ffmpeg ]}
    '';
}